%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:		germanium
Version:	0.2.2
Release:	6%{?dist}
Summary:	A download manager for eMusic.com

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://matt-good.net/music/
Source0:	http://projects.matt-good.net/releases/%{name}/%{name}-%{version}.tar.gz
Patch1:		germanium-desktop.patch
Patch2:		germanium-python-install.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	python-devel >= 2.4
BuildRequires:	pygtk2-devel >= 2.4
BuildRequires:	gtk2-devel
BuildRequires:	GConf2-devel
BuildRequires:	desktop-file-utils
Requires:	pygtk2
Requires:	python-twisted-core
Requires:	python-twisted-web
Requires:	gnome-python2-gnomevfs
Requires:	gnome-python2-gconf
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):	GConf2

%description
Germanium will open .emp files and download the songs from eMusic.  The .emp
files can be opened from the toolbar button, or passed as command-line
parameters.


%prep
%setup -q -n %{name}-%{version}
%patch1 -p0 -b germanium.desktop.in
%patch2 -p1  

%build
%configure --disable-mime-update --disable-desktop-update \
--disable-schemas-install
make


%install
rm -rf $RPM_BUILD_ROOT
# No benefit from parallel make with Python package
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%post
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%postun
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/emusic.xml
%{_datadir}/application-registry/%{name}.applications
%dir %{python_sitelib}/%{name}-%{version}/
%dir %{python_sitelib}/%{name}-%{version}/%{name}/
%{python_sitelib}/%{name}-%{version}/%{name}/*.py*
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Sun Sep 21 2008 Adam Huffman <bloch@verdurin.com> - 0.2.2-6
- fix typo in %%files

* Wed Sep 10 2008 Adam Huffman <bloch@verdurin.com> - 0.2.2-5
- removed redundant BR and add gnome-python2-{gnomevfs,gconf} Requires
- remove deprecated Application from desktop file

* Wed Sep 10 2008 Adam Huffman <bloch@verdurin.com> - 0.2.2-4
- Add BR for desktop-file-utils

* Tue Sep  9 2008 Adam Huffman <bloch@verdurin.com> - 0.2.2-3
- Corrected Source0
- removed superfluous pycairo-devel dependency
- use desktop-file-install
- deal with gconf schema installation/removal and don't treat as config
- deal with mime information
- ensure all directories are owned
- add %{?dist} tag

* Sun Aug 10 2008 Adam Huffman <bloch@verdurin.com> - 0.2.2-2
- New patch for Python installation location

* Mon Jul 28 2008 Adam Huffman <bloch@verdurin.com> - 0.2.2-1
- Rebuild for release 0.2.2

* Sat Jul 19 2008 Adam Huffman <bloch@verdurin.com> - 0.2.1-0.2.rc1
- New patch for library installation from Hans Niedermann

* Sat Jul 12 2008 Adam Huffman <bloch@verdurin.com> - 0.2.1-rc1-1
- Rebuild for release candidate

* Wed Jul  9 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.2.0.1-1
- Install into python_sitelib

* Sat Jul  5 2008 Adam Huffman <bloch@verdurin.com> - 0.2.0-1
- Initial version

